# Logcamp::Ruby

[![Build Status](https://semaphoreapp.com/api/v1/projects/c6901197-8348-4906-a36b-af15503eef80/320811/badge.png)](https://semaphoreapp.com/olimart/logcamp-ruby--2)

Simple gem for communicating with external API. Heavily inspired by stripe gem.

## Installation

Add this line to your application's Gemfile:

    gem 'logcamp-ruby'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install logcamp-ruby

## Usage

In your app

1. Set token

```ruby
Logcamp.token = ENV['LOGCAMP_TOKEN']
```

2. Send event

```ruby
Logcamp::Event.create(
  status: 'event status',
  message: 'notification message',
  date: '01/01/2015 14:30',
  alert: true,
  metadata: {
    key1: value1,
    key2: value2
  }
)
```

**For Sinatra app** you may need to add `require 'bundler/setup'`


## Tests

```ruby
rake test
```
